Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ThisType,ComponentType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
              org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ThisType,ComponentType>

Type Parameters:
  `ReturnType` - the type to be returned
  `ThisType` - the type to be returned by the set properties, set description, etc. methods
  `ComponentType` - the type of the component being configured

All Implemented Interfaces:
  ModeShapeConfiguration.ChooseClass<ComponentType,ThisType>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ThisType>, ModeShapeConfiguration.SetProperties<ThisType>

Direct Known Subclasses:
  JcrConfiguration.AuthenticatorBuilder, ModeShapeConfiguration.ClusterBuilder, ModeShapeConfiguration.MimeTypeDetectorBuilder, ModeShapeConfiguration.SequencerBuilder, ModeShapeConfiguration.SourceBuilder, ModeShapeConfiguration.TextExtractorBuilder

Enclosing class:
  ModeShapeConfiguration

    protected abstract static class ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ThisType,ComponentType>

extends ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
implements ModeShapeConfiguration.ChooseClass<ComponentType,ThisType>

Base class for `ModeShapeConfiguration.Returnable` types that work on a node in the graph.

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `ModeShapeConfiguration.GraphComponentBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`ThisType` | `usingClass(Class<? extends ComponentType> componentClass)` Specify the class that should be instantiated for the instance.
`ModeShapeConfiguration.LoadedFrom<ThisType>` | `usingClass(String classname)` Specify the name of the class that should be instantiated for the instance.

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath, thisType`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeShapeConfiguration.GraphComponentBuilder

    protected ModeShapeConfiguration.GraphComponentBuilder(ReturnType returnObject,
                                                           Graph.Batch batch,
                                                           Path path,
                                                           Name... names)

Method Detail

### usingClass

    public ModeShapeConfiguration.LoadedFrom<ThisType> usingClass(String classname)

  Description copied from interface: `ModeShapeConfiguration.ChooseClass`
  Specify the name of the class that should be instantiated for the instance. The classpath information will need to be defined using the returned interface.

  Specified by:
    `usingClass` in interface `ModeShapeConfiguration.ChooseClass<ComponentType,ThisType>`
  Parameters:
    `classname` - the name of the class that should be instantiated
  Returns:
    the interface used to define the classpath information; never null

### usingClass

    public ThisType usingClass(Class<? extends ComponentType> componentClass)

  Description copied from interface: `ModeShapeConfiguration.ChooseClass`
  Specify the class that should be instantiated for the instance. Because the class is already available to this class loader, there is no need to specify the classloader information.

  Specified by:
    `usingClass` in interface `ModeShapeConfiguration.ChooseClass<ComponentType,ThisType>`
  Parameters:
    `componentClass` - the class that should be instantiated
  Returns:
    the next component to continue configuration; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.